
From: Christoph Hellwig <hch@lst.de>

this is the last serial driver not using initcalls.

Signed-off-by: Christoph Hellwig <hch@lst.de>
Cc: <jeff@uclinux.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/char/tty_io.c        |    6 ------
 drivers/serial/68360serial.c |    8 ++------
 2 files changed, 2 insertions(+), 12 deletions(-)

diff -puN drivers/char/tty_io.c~move-68360serialc-over-use-initcalls drivers/char/tty_io.c
--- devel/drivers/char/tty_io.c~move-68360serialc-over-use-initcalls	2005-07-30 11:53:32.000000000 -0700
+++ devel-akpm/drivers/char/tty_io.c	2005-07-30 11:53:32.000000000 -0700
@@ -153,7 +153,6 @@ static int tty_release(struct inode *, s
 int tty_ioctl(struct inode * inode, struct file * file,
 	      unsigned int cmd, unsigned long arg);
 static int tty_fasync(int fd, struct file * filp, int on);
-extern void rs_360_init(void);
 static void release_mem(struct tty_struct *tty, int idx);
 
 
@@ -2911,11 +2910,6 @@ void __init console_init(void)
 #ifdef CONFIG_EARLY_PRINTK
 	disable_early_printk();
 #endif
-#ifdef CONFIG_SERIAL_68360
- 	/* This is not a console initcall. I know not what it's doing here.
-	   So I haven't moved it. dwmw2 */
-        rs_360_init();
-#endif
 	call = __con_initcall_start;
 	while (call < __con_initcall_end) {
 		(*call)();
diff -puN drivers/serial/68360serial.c~move-68360serialc-over-use-initcalls drivers/serial/68360serial.c
--- devel/drivers/serial/68360serial.c~move-68360serialc-over-use-initcalls	2005-07-30 11:53:32.000000000 -0700
+++ devel-akpm/drivers/serial/68360serial.c	2005-07-30 11:53:32.000000000 -0700
@@ -2474,8 +2474,7 @@ static struct tty_operations rs_360_ops 
 	.tiocmset = rs_360_tiocmset,
 };
 
-/* int __init rs_360_init(void) */
-int rs_360_init(void)
+static int __init rs_360_init(void)
 {
 	struct serial_state * state;
 	ser_info_t	*info;
@@ -2827,10 +2826,7 @@ int rs_360_init(void)
 
 	return 0;
 }
-
-
-
-
+module_init(rs_360_init);
 
 /* This must always be called before the rs_360_init() function, otherwise
  * it blows away the port control information.
_
